/**
 * DevExtreme (cjs/exporter/jspdf/pdf_table.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.PdfTable = void 0;
var _type = require("../../core/utils/type");
var _draw_pdf_table = require("./draw_pdf_table");
var PdfTable = function() {
    function PdfTable(drawTableBorder, rect) {
        this.drawTableBorder = drawTableBorder;
        this.rect = rect;
        this.rows = []
    }
    var _proto = PdfTable.prototype;
    _proto.addRow = function(cells) {
        if (!(0, _type.isDefined)(cells)) {
            throw "cells is required"
        }
        this.rows.push(cells);
        for (var i = 0; i < cells.length; i++) {
            var currentCell = cells[i];
            if (false === currentCell.drawLeftBorder) {
                if (i >= 1) {
                    cells[i - 1].drawRightBorder = false
                }
            } else if (!(0, _type.isDefined)(currentCell.drawLeftBorder)) {
                if (i >= 1 && false === cells[i - 1].drawRightBorder) {
                    currentCell.drawLeftBorder = false
                }
            }
            if (false === currentCell.drawTopBorder) {
                if (this.rows.length >= 2) {
                    this.rows[this.rows.length - 2][i].drawBottomBorder = false
                }
            } else if (!(0, _type.isDefined)(currentCell.drawTopBorder)) {
                if (this.rows.length >= 2 && false === this.rows[this.rows.length - 2][i].drawBottomBorder) {
                    currentCell.drawTopBorder = false
                }
            }
        }
    };
    _proto.drawTo = function(doc) {
        (0, _draw_pdf_table.drawPdfTable)(doc, this)
    };
    return PdfTable
}();
exports.PdfTable = PdfTable;
