/**
 * DevExtreme (cjs/renovation/ui/scroll_view/scroll_view_props.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ScrollViewPropsType = exports.ScrollViewProps = void 0;
var _scrollable_props = require("./scrollable_props");
var _base_props = require("../common/base_props");

function _extends() {
    _extends = Object.assign || function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
var ScrollViewProps = _extends({}, _scrollable_props.ScrollableProps);
exports.ScrollViewProps = ScrollViewProps;
var ScrollViewPropsType = {
    useNative: ScrollViewProps.useNative,
    direction: ScrollViewProps.direction,
    showScrollbar: ScrollViewProps.showScrollbar,
    scrollByThumb: ScrollViewProps.scrollByThumb,
    bounceEnabled: ScrollViewProps.bounceEnabled,
    scrollByContent: ScrollViewProps.scrollByContent,
    useKeyboard: ScrollViewProps.useKeyboard,
    pullDownEnabled: ScrollViewProps.pullDownEnabled,
    reachBottomEnabled: ScrollViewProps.reachBottomEnabled,
    forceGeneratePockets: ScrollViewProps.forceGeneratePockets,
    needScrollViewContentWrapper: ScrollViewProps.needScrollViewContentWrapper,
    needScrollViewLoadPanel: ScrollViewProps.needScrollViewLoadPanel,
    disabled: _base_props.BaseWidgetProps.disabled
};
exports.ScrollViewPropsType = ScrollViewPropsType;
