/**
 * DevExtreme (cjs/renovation/ui/scroll_view/scrollable_simulated_props.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ScrollableSimulatedPropsType = exports.ScrollableSimulatedProps = void 0;
var _scrollable_props = require("./scrollable_props");
var _base_props = require("../common/base_props");

function _extends() {
    _extends = Object.assign || function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
var ScrollableSimulatedProps = _extends({}, _scrollable_props.ScrollableProps, {
    inertiaEnabled: true,
    defaultContentTranslateOffset: {
        left: 0,
        top: 0
    }
});
exports.ScrollableSimulatedProps = ScrollableSimulatedProps;
var ScrollableSimulatedPropsType = {
    inertiaEnabled: ScrollableSimulatedProps.inertiaEnabled,
    defaultContentTranslateOffset: ScrollableSimulatedProps.defaultContentTranslateOffset,
    useNative: ScrollableSimulatedProps.useNative,
    direction: ScrollableSimulatedProps.direction,
    showScrollbar: ScrollableSimulatedProps.showScrollbar,
    scrollByThumb: ScrollableSimulatedProps.scrollByThumb,
    bounceEnabled: ScrollableSimulatedProps.bounceEnabled,
    scrollByContent: ScrollableSimulatedProps.scrollByContent,
    useKeyboard: ScrollableSimulatedProps.useKeyboard,
    pullDownEnabled: ScrollableSimulatedProps.pullDownEnabled,
    reachBottomEnabled: ScrollableSimulatedProps.reachBottomEnabled,
    forceGeneratePockets: ScrollableSimulatedProps.forceGeneratePockets,
    needScrollViewContentWrapper: ScrollableSimulatedProps.needScrollViewContentWrapper,
    needScrollViewLoadPanel: ScrollableSimulatedProps.needScrollViewLoadPanel,
    disabled: _base_props.BaseWidgetProps.disabled,
    visible: _base_props.BaseWidgetProps.visible
};
exports.ScrollableSimulatedPropsType = ScrollableSimulatedPropsType;
