/**
 * DevExtreme (cjs/renovation/ui/scroll_view/scrollbar_props.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ScrollbarProps = void 0;
var _scrollable_props = require("./scrollable_props");
var _consts = require("./common/consts");

function _extends() {
    _extends = Object.assign || function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
var ScrollbarProps = _extends({}, _scrollable_props.ScrollableInternalProps, {
    activeStateEnabled: false,
    expandable: true,
    direction: "vertical",
    scaleRatio: 1,
    containerSize: 0,
    contentSize: 0,
    baseContainerSize: 0,
    baseContentSize: 0,
    topPocketSize: 0,
    bottomPocketSize: 0,
    scrollableOffset: 0,
    scrollByThumb: false,
    isScrollableHovered: false,
    bounceEnabled: true,
    forceVisibility: false,
    defaultPocketState: _consts.TopPocketState.STATE_RELEASED
});
exports.ScrollbarProps = ScrollbarProps;
