/**
 * DevExtreme (esm/renovation/ui/grids/grid_base/grid_base_views.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import {
    createVNode,
    createComponentVNode
} from "inferno";
import {
    BaseInfernoComponent
} from "@devextreme/vdom";
import {
    GridBaseViewProps
} from "./common/grid_base_view_props";
import {
    GridBaseViewWrapper
} from "./grid_base_view_wrapper";
var GRIDBASE_CONTAINER_CLASS = "dx-gridbase-container";
export var viewFunction = _ref => {
    var {
        props: {
            className: className,
            views: views
        }
    } = _ref;
    return createVNode(1, "div", "".concat(className, " ").concat(GRIDBASE_CONTAINER_CLASS), views.map(_ref2 => {
        var {
            name: name,
            view: view
        } = _ref2;
        return createComponentVNode(2, GridBaseViewWrapper, {
            view: view
        }, name)
    }), 0)
};
export class GridBaseViews extends BaseInfernoComponent {
    constructor(props) {
        super(props);
        this.state = {}
    }
    get restAttributes() {
        var _this$props = this.props,
            restProps = _objectWithoutPropertiesLoose(_this$props, ["className", "views"]);
        return restProps
    }
    render() {
        var props = this.props;
        return viewFunction({
            props: _extends({}, props),
            restAttributes: this.restAttributes
        })
    }
}
GridBaseViews.defaultProps = _extends({}, GridBaseViewProps);
