/**
 * DevExtreme (renovation/ui/scroll_view/scrollable_props.js)
 * Version: 21.1.2
 * Build date: Fri Apr 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ScrollableProps = exports.ScrollableInternalProps = void 0;

function _extends() {
    _extends = Object.assign || function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
var ScrollableInternalProps = {
    direction: "vertical",
    showScrollbar: "onScroll",
    scrollByThumb: false,
    bounceEnabled: true,
    scrollByContent: true,
    useKeyboard: true,
    pullDownEnabled: false,
    reachBottomEnabled: false,
    forceGeneratePockets: false,
    needScrollViewContentWrapper: false,
    needScrollViewLoadPanel: false
};
exports.ScrollableInternalProps = ScrollableInternalProps;
var ScrollableProps = _extends({}, ScrollableInternalProps, {
    useNative: true
});
exports.ScrollableProps = ScrollableProps;
