/**
* DevExtreme (ui/nav_bar.d.ts)
* Version: 21.1.2
* Build date: Fri Apr 09 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    TElement
} from '../core/element';

import {
    ComponentEvent,
    ComponentNativeEvent,
    ComponentInitializedEvent,
    ChangedOptionInfo,
    ItemInfo
} from '../events/index';

import {
    SelectionChangedInfo
} from './collection/ui.collection_widget.base';

import dxTabs, {
    dxTabsItem,
    dxTabsOptions
} from './tabs';

export type ContentReadyEvent = ComponentEvent<dxNavBar>;

export type DisposingEvent = ComponentEvent<dxNavBar>;

export type InitializedEvent = ComponentInitializedEvent<dxNavBar>;

export type ItemClickEvent = ComponentNativeEvent<dxNavBar> & ItemInfo;

export type ItemContextMenuEvent = ComponentNativeEvent<dxNavBar> & ItemInfo;

export type ItemHoldEvent = ComponentNativeEvent<dxNavBar> & ItemInfo;

export type ItemRenderedEvent = ComponentNativeEvent<dxNavBar> & ItemInfo;

export type OptionChangedEvent = ComponentEvent<dxNavBar> & ChangedOptionInfo;

export type SelectionChangedEvent = ComponentEvent<dxNavBar> & SelectionChangedInfo;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxNavBarOptions extends dxTabsOptions<dxNavBar> {
    /**
     * 
     */
    scrollByContent?: boolean;
}
/**
 * The NavBar is a UI component that navigates the application views.
 */
export default class dxNavBar extends dxTabs {
    constructor(element: TElement, options?: dxNavBarOptions)
}

/**
 * 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxNavBarItem extends dxTabsItem {
    /**
     * Specifies a badge text for the navbar item.
     */
    badge?: string;
}

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Options = dxNavBarOptions;

/**
 * @deprecated
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type IOptions = dxNavBarOptions;
