/**
* DevExtreme (ui/tooltip.d.ts)
* Version: 21.1.2
* Build date: Fri Apr 09 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    TElement
} from '../core/element';

import {
    Cancelable,
    ComponentEvent,
    ComponentInitializedEvent,
    ChangedOptionInfo
} from '../events/index';

import dxPopover, {
    dxPopoverOptions
} from './popover';

export type ContentReadyEvent = ComponentEvent<dxTooltip>;

export type DisposingEvent = ComponentEvent<dxTooltip>;

export type HidingEvent = ComponentEvent<dxTooltip> & Cancelable;

export type HiddenEvent = ComponentEvent<dxTooltip>;

export type InitializedEvent = ComponentInitializedEvent<dxTooltip>;

export type OptionChangedEvent = ComponentEvent<dxTooltip> & ChangedOptionInfo;

export type ShowingEvent = ComponentEvent<dxTooltip>;

export type ShownEvent = ComponentEvent<dxTooltip>;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxTooltipOptions extends dxPopoverOptions<dxTooltip> {
}
/**
 * The Tooltip UI component displays a tooltip for a specified element on the page.
 */
export default class dxTooltip extends dxPopover {
    constructor(element: TElement, options?: dxTooltipOptions)
}

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Options = dxTooltipOptions;

/**
 * @deprecated
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type IOptions = dxTooltipOptions;
